Package twisted :: Package mail :: Module relaymanager :: Class SMTPManagedRelayerFactory

[show private | hide private]
[frames | no frames]

## Class SMTPManagedRelayerFactory

      Factory --+
                |
    ClientFactory --+
                    |
                   SMTPManagedRelayerFactory

Method Summary
| `__init__(self, messages, manager)`
| `buildProtocol(self, connection)`
| ``clientConnectionFailed`(self, connector, reason)` called when connection could not be made
| ``clientConnectionLost`(self, connector, reason)` Called when a connection is lost. (inherited from `ClientFactory`)
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| ``startedConnecting`(self, connector)` Called when a connection has been started. (inherited from `ClientFactory`)
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)

Method Details

### clientConnectionFailed(self, connector, reason)

called when connection could not be made

our manager should be notified that this happened, it might prefer some other host in that case

Generated by Epydoc 1.1 on Sat Feb 15 21:17:55 2003 | http://epydoc.sf.net